Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153045 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Summary: GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-netboot
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 04:11 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-05 15:50:54 UTC


Attachments (Terms of Use)
patch to fix the warnings (deleted)
2005-04-01 05:03 UTC, Colin Charles
no flags Details | Diff

Description Ricky Ng-Adam 2005-04-01 04:11:39 UTC
Description of problem:

/usr/share/system-config-netboot/system-config-netboot.py:80:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  self.ipEntry.set_sensitive(gtk.TRUE)

Version-Release number of selected component (if applicable):

0.1.12-1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.

Comment 1 Colin Charles 2005-04-01 05:02:54 UTC
attached patch fixes all this. apply and rebuild thanks

Comment 2 Colin Charles 2005-04-01 05:03:21 UTC
Created attachment 112564 [details]
patch to fix the warnings

Comment 3 Harald Hoyer 2005-04-01 10:19:31 UTC
wrong component! /usr/share/system-config-netboot/system-config-netboot.py is
not system-config-boot

Comment 4 Harald Hoyer 2005-04-01 10:20:04 UTC
oops.. was already reassigned.

Comment 5 Daniel Walsh 2005-04-05 15:50:54 UTC
Fixed in system-config-netboot-0.1.13-1.src.rpm



Note You need to log in before you can comment on or make changes to this bug.